//---------------------------------------------------------------------------
#ifndef BoltCalcH
#define BoltCalcH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------

typedef struct {
AnsiString Name;
double Area;
} boltsize;

typedef struct {
AnsiString Name;
double fty;
double ftu;
} boltmaterial;

//---------------------------------------------------------------------------
class TBoltCalcForm : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TComboBox *BoltSizeComboBox;
    TLabel *Label2;
    TLabel *Label3;
    TLabel *Label4;
    TEdit *AxialLoadEditBox;
    TEdit *ShearLoadEditBox;
    TLabel *Label5;
    TLabel *Label6;
    TBevel *Bevel1;
    TBevel *Bevel2;
    TLabel *Label7;
    TEdit *AccelerationFactorEditBox;
    TLabel *Label9;
    TBevel *Bevel3;
    TLabel *Label8;
    TLabel *Label10;
    TComboBox *BoltMaterialComboBox;
    TButton *HelpButton;
    TLabel *Label11;
    TLabel *Label12;
    TEdit *ProofFactorEditBox;
    TEdit *UltimateFactorEditBox;
    TLabel *Label13;
    TLabel *Label14;
    TLabel *Label15;
    TLabel *Label16;
    TLabel *Label17;
    TLabel *Label18;
    TLabel *Label19;
    TLabel *Label20;
    TEdit *AxialStressEditBox;
    TEdit *ShearStressEditBox;
    TEdit *P1StressEditBox;
    TEdit *P2StressEditBox;
    TEdit *VMStressEditBox;
    TEdit *RFyEditBox;
    TEdit *RFuEditBox;
    TLabel *Label21;
    TLabel *Label22;
    TLabel *Label23;
    TEdit *BoltXSectEditBox;
    TEdit *ProofStressEditBox;
    TEdit *UltimateStressEditBox;
    TLabel *Label24;
    TBevel *Bevel4;
    TLabel *Label25;
    TButton *CopyButton;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall Calculate(TObject *Sender);
    void __fastcall HelpButtonClick(TObject *Sender);
    void __fastcall CopyButtonClick(TObject *Sender);
private:	// User declarations
    DynamicArray <boltsize> BoltSize;
    DynamicArray <boltmaterial> BoltMaterial;
public:		// User declarations
    __fastcall TBoltCalcForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TBoltCalcForm *BoltCalcForm;
//---------------------------------------------------------------------------
#endif
